We send a JWT with each request. This JWT is signed by your individual secret signing keys and sent in theDocumentation Index
Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Upstash-Signature HTTP header.
To verify the jwt you can choose from a
wide array of open source libraries, or roll your
own solution.
Claims
All claims in the JWT are listed hereVerifying
The exact implementation depends on the language of your choice and the library if you use one. Instead here are the steps you need to follow:- Split the JWT into its header, payload and signature
- Verify the signature
- Decode the payload and verify the claims
iss: The issuer must beUpstash.sub: The subject must the url of your API.exp: Verify the token has not expired yet.nbf: Verify the token is already valid.body: Hash the raw request body usingSHA-256and compare it with thebodyclaim.